function $AdfInputComboboxListOfValuesWindow$$() {
  this.Init();
}
$goog$exportSymbol$$("AdfInputComboboxListOfValuesWindow", $AdfInputComboboxListOfValuesWindow$$);
$AdfObject$$.$createSubclass$($AdfInputComboboxListOfValuesWindow$$, $AdfDhtmlPopupSelector$$);
$AdfInputComboboxListOfValuesWindow$$.$InitClass$ = function $$AdfInputComboboxListOfValuesWindow$$$$InitClass$$() {
  this.$_STYLECLASS$ = "af|inputComboboxListOfValues::dropdown-popup";
  this.$_CONTENT_STYLECLASS$ = "af|inputComboboxListOfValues::dropdown-popup-content";
  this.$_DROPDOWN_CONTENT_ID$ = "_afrDropDownContent";
  this.$_POPUP_SEARCH_SUBID$ = "_afrPopupSearch";
  this.$_STRETCH_DROPDOWN_TABLE$ = "af|inputComboboxListOfValues-tr-stretch-dropdown-table";
};
$goog$exportSymbol$$("AdfInputComboboxListOfValuesWindow.InitClass", $AdfInputComboboxListOfValuesWindow$$.$InitClass$);
$AdfInputComboboxListOfValuesWindow$$.prototype.$CreateDomElement$ = function $$AdfInputComboboxListOfValuesWindow$$$$$CreateDomElement$$() {
  var $page$$81_rootElement$$26$$ = $AdfPage$$.$PAGE$, $laf$$54$$ = $page$$81_rootElement$$26$$.$getLookAndFeel$(), $contentsDiv_domDocument$$30$$ = $page$$81_rootElement$$26$$.$getDomDocument$(), $page$$81_rootElement$$26$$ = $contentsDiv_domDocument$$30$$.createElement("div");
  $AdfDomUtils$$.$addCSSClassName$($page$$81_rootElement$$26$$, $laf$$54$$.getStyleClass($AdfInputComboboxListOfValuesWindow$$.$_STYLECLASS$));
  $contentsDiv_domDocument$$30$$ = $contentsDiv_domDocument$$30$$.createElement("div");
  $AdfDomUtils$$.$addCSSClassName$($contentsDiv_domDocument$$30$$, $laf$$54$$.getStyleClass($AdfInputComboboxListOfValuesWindow$$.$_CONTENT_STYLECLASS$));
  $page$$81_rootElement$$26$$.appendChild($contentsDiv_domDocument$$30$$);
  this.$SetContentParent$($contentsDiv_domDocument$$30$$);
  return $page$$81_rootElement$$26$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfInputComboboxListOfValuesWindow.prototype.CreateDomElement", {$CreateDomElement$:$AdfInputComboboxListOfValuesWindow$$.prototype.$CreateDomElement$});
$AdfInputComboboxListOfValuesWindow$$.prototype.$DoShow$ = function $$AdfInputComboboxListOfValuesWindow$$$$$DoShow$$($hints$$52_popupContentWidthInt_sourceContentContainer$$) {
  $AdfInputComboboxListOfValuesWindow$$.$superclass$.$DoShow$.call(this, $hints$$52_popupContentWidthInt_sourceContentContainer$$);
  var $alignElement$$12_popupClientId$$3_searchLink_table$$12$$ = $hints$$52_popupContentWidthInt_sourceContentContainer$$ = $hints$$52_popupContentWidthInt_sourceContentContainer$$.alignElement;
  $AdfAssert$$.$assertDomNode$($alignElement$$12_popupClientId$$3_searchLink_table$$12$$, "input combobox list of values popup alignment element");
  "INPUT" == $alignElement$$12_popupClientId$$3_searchLink_table$$12$$.tagName && ($hints$$52_popupContentWidthInt_sourceContentContainer$$ = $alignElement$$12_popupClientId$$3_searchLink_table$$12$$.parentNode);
  $AdfAssert$$.$assertDomElement$($hints$$52_popupContentWidthInt_sourceContentContainer$$, "SPAN");
  $hints$$52_popupContentWidthInt_sourceContentContainer$$ = Math.max(100, $hints$$52_popupContentWidthInt_sourceContentContainer$$.offsetWidth - 2);
  var $alignElement$$12_popupClientId$$3_searchLink_table$$12$$ = this.$getPopupClientId$(), $clientId$$103_stretchTable$$ = $AdfPage$$.$PAGE$.$findComponent$($alignElement$$12_popupClientId$$3_searchLink_table$$12$$).getParent().$getClientId$();
  $AdfAssert$$.$assertString$($clientId$$103_stretchTable$$);
  if ($alignElement$$12_popupClientId$$3_searchLink_table$$12$$ = $AdfPage$$.$PAGE$.$findComponent$($clientId$$103_stretchTable$$ + $AdfInputComboboxListOfValuesWindow$$.$_DROPDOWN_CONTENT_ID$)) {
    $clientId$$103_stretchTable$$ = $AdfPage$$.$PAGE$.$getLookAndFeel$().$getSkinProperty$($AdfInputComboboxListOfValuesWindow$$.$_STRETCH_DROPDOWN_TABLE$), $AdfAssert$$.$assertPrototype$($alignElement$$12_popupClientId$$3_searchLink_table$$12$$, $AdfUIComponent$$), $clientId$$103_stretchTable$$ && "true" == $clientId$$103_stretchTable$$ ? $alignElement$$12_popupClientId$$3_searchLink_table$$12$$.$getPeer$().$setInlineStyleProperty$($alignElement$$12_popupClientId$$3_searchLink_table$$12$$, "min-width", 
    $hints$$52_popupContentWidthInt_sourceContentContainer$$ + "px") : $alignElement$$12_popupClientId$$3_searchLink_table$$12$$.$getPeer$().$setInlineStyleProperty$($alignElement$$12_popupClientId$$3_searchLink_table$$12$$, "width", $hints$$52_popupContentWidthInt_sourceContentContainer$$ + "px"), $AdfPage$$.$PAGE$.$doResizeNotify$($alignElement$$12_popupClientId$$3_searchLink_table$$12$$);
  } else {
    if ($alignElement$$12_popupClientId$$3_searchLink_table$$12$$ = $AdfPage$$.$PAGE$.$findComponent$($clientId$$103_stretchTable$$ + $AdfInputComboboxListOfValuesWindow$$.$_POPUP_SEARCH_SUBID$)) {
      $AdfAssert$$.$assertPrototype$($alignElement$$12_popupClientId$$3_searchLink_table$$12$$, $AdfUIComponent$$), $alignElement$$12_popupClientId$$3_searchLink_table$$12$$.$getPeer$().$setInlineStyleProperty$($alignElement$$12_popupClientId$$3_searchLink_table$$12$$, "width", $hints$$52_popupContentWidthInt_sourceContentContainer$$ + "px");
    }
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfInputComboboxListOfValuesWindow.prototype.DoShow", {$DoShow$:$AdfInputComboboxListOfValuesWindow$$.prototype.$DoShow$});
$AdfInputComboboxListOfValuesWindow$$.prototype.$ShouldHideOnClip$ = function $$AdfInputComboboxListOfValuesWindow$$$$$ShouldHideOnClip$$() {
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfInputComboboxListOfValuesWindow.prototype.ShouldHideOnClip", {$ShouldHideOnClip$:$AdfInputComboboxListOfValuesWindow$$.prototype.$ShouldHideOnClip$});
